<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity EmployeeCustomerRelationship.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idstatustype"
                                 baseTableName="customer_relationship"
                                 constraintName="fk_employee_customer_relationship_status_type_id"
                                 referencedColumnNames="idstatustype"
                                 referencedTableName="status_type"/>

        <addForeignKeyConstraint baseColumnNames="idreltyp"
                                 baseTableName="customer_relationship"
                                 constraintName="fk_employee_customer_relationship_relation_type_id"
                                 referencedColumnNames="idreltyp"
                                 referencedTableName="relation_type"/>

        <addForeignKeyConstraint baseColumnNames="idemployee"
                                 baseTableName="customer_relationship"
                                 constraintName="fk_employee_customer_relationship_employee_id"
                                 referencedColumnNames="idemployee"
                                 referencedTableName="employee"/>

        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="customer_relationship"
                                 constraintName="fk_employee_customer_relationship_customer_id"
                                 referencedColumnNames="idcustomer"
                                 referencedTableName="customer"/>

    </changeSet>
</databaseChangeLog>
